/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.pdf.form.valueobject;

import java.util.List;

import javax.xml.bind.annotation.XmlRootElement;

/**
 * PDF フォーム・バリューオブジェクト。
 */
@XmlRootElement
public class BlancoPdfFormDef {
    /**
     * フォームの名前 (ID)
     *
     * フィールド: [name]。
     */
    private String fName;

    /**
     * テキストのリスト。
     *
     * フィールド: [textList]。
     * デフォルト: [new java.util.ArrayList<blanco.pdf.form.valueobject.BlancoPdfFormTextDef>()]。
     */
    private List<blanco.pdf.form.valueobject.BlancoPdfFormTextDef> fTextList = new java.util.ArrayList<blanco.pdf.form.valueobject.BlancoPdfFormTextDef>();

    /**
     * 行のリスト。
     *
     * フィールド: [lineList]。
     * デフォルト: [new java.util.ArrayList<blanco.pdf.form.valueobject.BlancoPdfFormLineDef>()]。
     */
    private List<blanco.pdf.form.valueobject.BlancoPdfFormLineDef> fLineList = new java.util.ArrayList<blanco.pdf.form.valueobject.BlancoPdfFormLineDef>();

    /**
     * フィールド [name] の値を設定します。
     *
     * フィールドの説明: [フォームの名前 (ID)]。
     *
     * @param argName フィールド[name]に設定する値。
     */
    public void setName(final String argName) {
        fName = argName;
    }

    /**
     * フィールド [name] の値を取得します。
     *
     * フィールドの説明: [フォームの名前 (ID)]。
     *
     * @return フィールド[name]から取得した値。
     */
    public String getName() {
        return fName;
    }

    /**
     * フィールド [textList] の値を設定します。
     *
     * フィールドの説明: [テキストのリスト。]。
     *
     * @param argTextList フィールド[textList]に設定する値。
     */
    public void setTextList(final List<blanco.pdf.form.valueobject.BlancoPdfFormTextDef> argTextList) {
        fTextList = argTextList;
    }

    /**
     * フィールド [textList] の値を取得します。
     *
     * フィールドの説明: [テキストのリスト。]。
     * デフォルト: [new java.util.ArrayList<blanco.pdf.form.valueobject.BlancoPdfFormTextDef>()]。
     *
     * @return フィールド[textList]から取得した値。
     */
    public List<blanco.pdf.form.valueobject.BlancoPdfFormTextDef> getTextList() {
        return fTextList;
    }

    /**
     * フィールド [lineList] の値を設定します。
     *
     * フィールドの説明: [行のリスト。]。
     *
     * @param argLineList フィールド[lineList]に設定する値。
     */
    public void setLineList(final List<blanco.pdf.form.valueobject.BlancoPdfFormLineDef> argLineList) {
        fLineList = argLineList;
    }

    /**
     * フィールド [lineList] の値を取得します。
     *
     * フィールドの説明: [行のリスト。]。
     * デフォルト: [new java.util.ArrayList<blanco.pdf.form.valueobject.BlancoPdfFormLineDef>()]。
     *
     * @return フィールド[lineList]から取得した値。
     */
    public List<blanco.pdf.form.valueobject.BlancoPdfFormLineDef> getLineList() {
        return fLineList;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.pdf.form.valueobject.BlancoPdfFormDef[");
        buf.append("name=" + fName);
        buf.append(",textList=" + fTextList);
        buf.append(",lineList=" + fLineList);
        buf.append("]");
        return buf.toString();
    }
}
